We are closed until COVID-19 restrictions are lifted - there is no shipment and limited support during this period

The following information is for the EMANT300, EMANT380

.NET Assembly versions

Question: I encounter the following error, when I try to rebuild the "EMANTVB2005 Solution".
Error: Could not resolve this reference. Could not locate the assembly "Emant300, Version=1.0.2145.26176, Culture=neutral, processorArchitecture=MSIL". Check to make sure the assembly exists on disk. If this reference is required by your code, you may get compilation errors.

Answer: You have a .NET assembly versioning issue. With the .NET Framework, Microsoft introduced versions to avoid DLL hell found in the earlier COM model. In the earlier COM model, without versions, you may have an application running a COM dll that was created earlier and cause an application that requires a later version dll to crash. With versioning, your application will warn you of the problem. See the following for more info.

http://msdn.microsoft.com/en-us/library/ms973843.aspx

In your specific case, we have checked the VB2005 solution folder and found that only the 1.0.2444.28570 version is used. You may have copied the earlier version from some of our other other examples.

In the EMANTVB2005 Solution folder, the assemblies are found in the Assemblies folder EMANTVB2005 Solution->Assemblies

To find the assembly being reference, right click on the project->Properties

How to find assembly version